#! /bin/bash
#
# update script für Classroommanagement MAus
#
##################################################################

pfad="/home/samba/progs/maus/"
keyname="maus-key"
vncpass="x11vnc.pass"

##################################################################

if [ "$(id -u)" != "0" ]; then
   echo "###################################"
   echo "# This script must be run as root #"
   echo "###################################"
   exit 1
fi

if [ ! -f "$pfad"maus.cfg ]; then
   echo "######################################"
   echo "# Das Programm ist nicht installiert #"
   echo "# Update wird abgebrochen            #"
   echo "######################################"
   exit 1
fi

apt-get -y install gksu suckless-tools wakeonlan xvnc4viewer

touch /root/.ssh/authorized_keys
cat "$pfad$keyname".pub >> /root/.ssh/authorized_keys
chmod 600 /root/.ssh/authorized_keys



sed -i".old" "s/\(AllowUsers.*\)/\1 root/"  /etc/ssh/sshd_config

echo "Update: Dateien werden zum server kopiert ..."
cp startmaus $pfad
cp maus.ico $pfad
cp maus.desktop $pfad
cp closed.xbm $pfad
cp sperren.sh $pfad
cp freigeben.sh $pfad

chown -R pgmadmin:teachers $pfad
chmod 755 "$pfad"startmaus

echo "Update: Dateien werden lokal kopiert ..."
cp maus.ico /usr/share/icons/
chmod 644 /usr/share/icons/maus.ico
cp maus.desktop /usr/share/applications/
chmod 755 /usr/share/applications/maus.desktop
mkdir -p /root/bin/
cp closed.xbm /root/bin/
cp sperren.sh /root/bin/
cp freigeben.sh /root/bin/
chmod 750 /root/bin/sperren.sh
chmod 750 /root/bin/freigeben.sh

if [ -e "$pfad$vncpass" ]; then
 cp "$pfad$vncpass" "/etc/$vncpass"
 chown root:root "/etc/$vncpass"
 chmod 600 "/etc/$vncpass"
fi

exit 0

